Change Sandbox Size
Change the size of a sandbox Vault for the authenticated Vault. You can initiate this action if there are sufficient allowances and the current sandbox meets the data and user limits of the requested size. Learn more about sandbox sizes in Vault Help
POST
/api/{version}/objects/sandbox/batch/changesizeHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/json |
Body Parameters
Section link for Body ParametersIn the body of the request, include a raw JSON object with the following information:
| Name | Description |
|---|---|
namerequired | The name of the sandbox Vault. |
sizerequired | The requested size of the sandbox: Small, Medium, Large, Very Large, Extra Large, or Full. Learn more about sandbox sizes and their limits in Vault Help |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
-d "[
{
“name”: “SandboxA”,
“size”: “Full”
}
]” \
https://myvault.veevavault.com/api/v23.3/objects/sandbox/batch/changesizeResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": null,
"errorCodes": null,
"errorType": null
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the responseStatus and lists any errors encountered.